[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TSmallIntHelper.ToSingle

Convert to an single-sized floating point value

## Declaration

Source position: syshelph.inc line 450

`public function TSmallIntHelper.ToSingle: Single;`

## Description

ToSingle converts the SmallInt value to a single-sized floating point value.

## See also

TSmallIntHelper.ToBoolean |  | Convert to a boolean value
TSmallIntHelper.ToDouble |  | Convert to a double-sized floating point value
TSmallIntHelper.ToExtended |  | Convert to an extended-sized floating point value
TSmallIntHelper.ToString |  | Convert the value to string
TSmallIntHelper.ToHexString |  | Convert to a hexadecimal string representation